/*	Copyright (C) 2003-2015 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __lua_LuaBind_h__
#define __lua_LuaBind_h__

namespace fe
{

/** use LuaExec instead?
	@copydoc LuaBind_info
	*/
class LuaBind : public HandlerI, public Initialize<LuaBind>
{
	public:
				LuaBind(void);
virtual			~LuaBind(void);
		void	initialize(void);

virtual void	bind(	fe::sp<fe::SignalerI> spSignaler,
						fe::sp<fe::Layout> l_sig);
virtual void	handle(	fe::Record &r_sig);

	private:
		lua_State			*m_pLuaState;
		String				m_chunk;
		sp<LuaContext>		m_spContext;
};

} /* namespace */


#endif /* __lua_LuaBind_h__ */

